DRM_FB_HELPER_INITIA(9)

NAME
drm_fb_helper_initial_config - setup a sane initial connector configuration

SYNOPSIS

bool drm_fb_helper_initial_config(struct drm_fb_helper * fb_helper, int bpp_sel);

ARGUMENTS

fb_helper
    fb_helper device struct

bpp_sel
    bpp value to use for the framebuffer configuration

DESCRIPTION

Scans the CRTCs and connectors and tries to put together an initial setup. At the moment, this is a cloned configuration across all heads with a new framebuffer object as the backing store.

Note that this also registers the fbdev and so allows userspace to call into the driver through the fbdev interfaces.

This function will call down into the ->fb_probe callback to let the driver allocate and initialize the fbdev info structure and the drm framebuffer used to back the fbdev. drm_fb_helper_fill_var and drm_fb_helper_fill_fix are provided as helpers to setup simple default values for the fbdev info structure.

RETURNS

Zero if everything went ok, nonzero otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT